सामग्री पर जाएँ

Chatterbox · Speech to Speech

इंटीग्रेट करें

मॉडल id chatterbox/speech-to-speech
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/chatterbox/speech-to-speech?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "source_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $0.015 15 API क्रेडिट चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Resemble AI टेक्स्ट से स्पीच #speech-to-speech

वॉइस कन्वर्ज़न, जो सोर्स रिकॉर्डिंग को रेफ़रेंस ऑडियो क्लिप की आवाज़ में दोबारा बोलता है

Resemble AI · ऑडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक
फ़ाइल ड्रॉप करें, या
उन्नत target_voice_audio_url
फ़ाइल ड्रॉप करें, या

speech-to-speech रूपांतरण के लिए लक्षित आवाज़ का संदर्भ, जो ऑडियो फ़ाइल URL के रूप में दिया जाता है। यह संदर्भ आवश्यक है।

POST /run/chatterbox/speech-to-speech?wait=20 कोटेशन → $0.015
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/chatterbox/speech-to-speech?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "source_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Chatterbox · Speech to Speech के बारे में

मौजूदा वाणी को अलग आवाज़ में बदलता है। `source_audio_url` वह रिकॉर्डिंग है जिसे बदलना है, और `target_voice_audio_url` अनुकरण की जाने वाली आवाज़ के नमूने पर निर्देशित करता है। कोई अन्य सेटिंग नहीं है और यह बदली हुई वाणी की एक ऑडियो फ़ाइल लौटाता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
source_audio_urlआवश्यक
प्रकारurl · audio
target_voice_audio_urlवैकल्पिक
प्रकारurl · audio
speech-to-speech रूपांतरण के लिए लक्षित आवाज़ का संदर्भ, जो ऑडियो फ़ाइल URL के रूप में दिया जाता है। यह संदर्भ आवश्यक है।
आवश्यक

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "chatterbox/speech-to-speech",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 15,
    "usd": "0.015",
    "charged": 15,
    "refunded": 0
  },
  "input": {
    "source_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
audio
object {url, content_type, file_name, file_size}संश्लेषित वाणी वाला ऑडियो।

और मॉडल: टेक्स्ट से स्पीच

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/chatterbox/speech-to-speech.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt